package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.AnswerCard;
import cn.com.qmth.stmms.biz.exam.model.AnswerCardPK;

public interface AnswerCardDao extends PagingAndSortingRepository<AnswerCard, AnswerCardPK>,
        JpaSpecificationExecutor<AnswerCard> {

    @Query("select s from AnswerCard s where s.pk.examId=?1 and s.pk.number=?2")
    AnswerCard findByExamIdAndNumber(Integer examId, Integer number);

    @Query("select q from AnswerCard q where q.pk.examId=?1 order by q.pk.number")
    List<AnswerCard> findByExamId(Integer examId);

    @Query("select q from AnswerCard q where q.pk.examId=?1 and q.subjectCode=?2 order by q.pk.number")
    List<AnswerCard> findByExamIdAndSubjectCode(Integer examId, String subjectCode);

}
