package cn.com.qmth.stmms.biz.exam.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.AnswerCardDao;
import cn.com.qmth.stmms.biz.exam.model.AnswerCard;
import cn.com.qmth.stmms.biz.exam.service.AnswerCardService;

@Service
public class AnswerCardServiceImpl extends BaseQueryService<AnswerCard> implements AnswerCardService {

    @Autowired
    private AnswerCardDao cardDao;

    @Override
    public AnswerCard findByExamIdAndNumber(Integer examId, Integer number) {
        return cardDao.findByExamIdAndNumber(examId, number);
    }

    @Override
    public int findMaxNumberByExamId(Integer examId) {
        List<AnswerCard> cards = this.findByExamId(examId);
        int number = 0;
        for (AnswerCard card : cards) {
            if (number < card.getNumber()) {
                number = card.getNumber();
            }
        }
        return number;
    }

    @Override
    public List<AnswerCard> findByExamId(Integer examId) {
        return cardDao.findByExamId(examId);
    }

    @Transactional
    @Override
    public void save(AnswerCard card) {
        this.cardDao.save(card);
    }

    @Transactional
    @Override
    public void delete(AnswerCard card) {
        this.cardDao.delete(card);
    }

    @Override
    public AnswerCard findByExamIdAndSubjectCode(Integer examId, String subjectCode) {
        List<AnswerCard> cards = cardDao.findByExamIdAndSubjectCode(examId, subjectCode);
        return cards.isEmpty() ? null : cards.get(0);
    }
}
