package cn.com.qmth.stmms.biz.exam.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.InspectHistoryDao;
import cn.com.qmth.stmms.biz.exam.model.InspectHistory;
import cn.com.qmth.stmms.biz.exam.service.InspectHistoryService;
import cn.com.qmth.stmms.biz.user.dao.UserDao;
import cn.com.qmth.stmms.biz.user.model.User;

@Service("inspectHistoryService")
public class InspectHistoryServiceImpl extends BaseQueryService<InspectHistory> implements InspectHistoryService {

    @Autowired
    private InspectHistoryDao inspectHistoryDao;

    @Autowired
    private UserDao userDao;

    @Override
    public InspectHistory save(InspectHistory i) {
        return inspectHistoryDao.saveAndFlush(i);
    }

    @Override
    public List<InspectHistory> findByStudentIdLimit3(Integer studentId) {
        List<InspectHistory> list = inspectHistoryDao.findByStudentIdLimit3(studentId, 3);
        for (InspectHistory inspectHistory : list) {
            User user = userDao.findOne(inspectHistory.getInspectorId());
            inspectHistory.setInspectorName(user.getLoginName() + "/" + user.getName());
        }
        return list;
    }

    @Override
    public Integer countByStudentId(Integer studentId) {
        return inspectHistoryDao.countByStudentId(studentId);
    }

    @Transactional
    @Override
    public void deleteByExamIdAndSubjectCode(int examId, String subjectCode) {
        inspectHistoryDao.deleteByExamIdAndSubjectCode(examId, subjectCode);
    }

    @Transactional
    @Override
    public void deleteByStudentId(Integer studentId) {
        inspectHistoryDao.deleteByStudentId(studentId);
    }

}
