<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>成绩复核</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<div id="importBox" class="hide">
    <form id="importForm" action="${ctx}/admin/exam/inspected/import" method="post" enctype="multipart/form-data"
          style="padding-left:20px;text-align:center;" class="form-search" onsubmit="loading('正在导入，请稍等...');"><br/>
        <input id="uploadFile" name="file" type="file" style="width:330px"/><br/><br/>　　
        <input id="btnImportSubmit" class="btn btn-primary" type="submit" value="   导    入   "/>
        <a href="${ctx}/admin/exam/inspected/import/template">下载模板</a>
    </form>
</div>
<ul class="nav nav-tabs">
        <li><a href="${ctx}/admin/exam/inspected/info">成绩复核进度</a></li>
        <li class="active"><a href="##">全卷复核</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/inspected/list" method="post" class="breadcrumb form-search" >
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label>科目</label>
        <select class="input-large" name="subjectCode" id="subject-select">
            <option value="">请选择</option>
            <c:forEach items="${subjectList}" var="subject">
                <option value="${subject.code}" <c:if test="${subject.code==query.subjectCode}">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>状态</label>
        <select class="input-medium" name="status">
            <option value="">请选择</option>
            <c:forEach items="${statusList}" var="result">
                <option value="${result}" <c:if test="${status==result}">selected</c:if>>${result.name}</option>
            </c:forEach>
        </select>
         &nbsp;
        <label>试卷总分：从</label>
        <input type="text" number="true" id="startScore" name="startScore" value="${query.startScore}" class="input-mini"/>
        <label> 到&nbsp;&nbsp;&nbsp;</label>
        <input type="text" number="true" id="endScore" name="endScore" value="${query.endScore}" class="input-mini"/>
        &nbsp;
        <label>选做题</label>
            <select class="input-small"  name="selectiveStatus" id="selectiveStatus">
	            <option value="">请选择</option>
	            <c:forEach items="${selectiveStatusList}" var="result">
                <option value="${result.value}" <c:if test="${result==selectiveStatus}">selected</c:if>>${result.name}</option>
            	</c:forEach>
            </select>
        <br/><br/>
		<label>大题</label>
        <select class="input-medium" id="question-select" name="mainNumber">
            <option value="">请选择</option>
            <c:forEach items="${questionList}" var="result">
                <option value="${result.mainNumber}" <c:if test="${result.mainNumber==mainNumber}">selected</c:if>>${result.mainNumber}-${result.mainTitle}</option>
            </c:forEach>
        </select>

        <label>大题得分：从</label>
        <input type="text" number="true" name="mainStartScore" id="mainStartScore" value="${mainStartScore }" class="input-mini"/>
        <label> 到&nbsp;&nbsp;&nbsp;</label>
        <input type="text" number="true" id="mainEndScore" name="mainEndScore" value="${mainEndScore }" class="input-mini"/>
        
        <label>小题得分</label>
        <input type="text" number="true" name="questionScore" id="questionScore" value="${questionScore }" class="input-mini"/>

        <label>密号</label>
        <input type="text" name="secretNumber" id="secretNumber" value="${query.secretNumber}" class="input-medium"/>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        <c:if test="${inspectCount>0}">
        &nbsp;
        <input id="btnStart" class="btn" type="button" value="批量复核:${inspectCount }" onclick="goStart()"/>
        </c:if>
        &nbsp;
         <input id="btnCancel" class="btn" type="button" value="取消复核" onclick="goCancel()"/>
          &nbsp;
        <c:if test="${exam.status=='FINISH' && web_user.schoolAdmin==true}">
       	<input id="btnImport" class="btn" type="button" value="导入"/>
       	</c:if>
    </div>
</form>
<tags:message content="${message}"/>
<form id="cancelForm" action="${ctx}/admin/exam/inspected/batchCancel" method="post" class="breadcrumb form-search">
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th><input type="checkbox" id="ids">科目</th>
        <th>密号</th>
        <th>状态</th>
        <th>客观分</th>
        <th>主观分</th>
        <th>试卷总分</th>
        <th>得分明细</th>
        <th>复核人1</th>
        <th>复核时间1</th>
        <th>复核人2</th>
        <th>复核时间2</th>
        <th>复核人3</th>
        <th>复核时间3</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${query.result}" var="result">
        <tr>
            <td><input type="checkbox" class="ids" name="ids" value="${result.id}">${result.subjectCode}-${result.subjectName}</td>
            <td>${result.secretNumber}</td>
            <td>${result.subjectiveStatus.name}</td>
            <td>${result.objectiveScoreString}</td>
            <td>${result.subjectiveScoreString}</td>
            <td><fmt:formatNumber pattern="###.###" value="${result.totalScore}"/></td>
            <td>${result.subjectiveScoreList}</td>
            <c:if test="${result.inspectHistoryList!=null}">
            <c:forEach items="${result.inspectHistoryList}" var="history">
	            <td> ${history.inspectorName} </td>
	            <td>
	            	<c:if test="${history.inspectTime!=null}">
	                    <fmt:formatDate value="${history.inspectTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
	                </c:if>
	                <c:if test="${history.inspectTime==null}">
	                    &nbsp;
	                </c:if>
	            </td>
            </c:forEach>
            </c:if>
            <c:if test="${result.inspectHistoryList!=null && result.inspectHistoryList.size()==2}">
            	<td></td>
             	<td></td>
            </c:if>
            <c:if test="${result.inspectHistoryList!=null && result.inspectHistoryList.size()==1}">
            	<td></td>
             	<td></td>
             	<td></td>
             	<td></td>
            </c:if>
            <c:if test="${result.inspectHistoryList==null || result.inspectHistoryList.size()==0}">
            	<td></td>
             	<td></td>
              	<td></td>
           		<td></td>
          		<td></td>
      			<td></td>
            </c:if>
            <td>
            	 <a href="${ctx}/web/admin/exam/track/student?studentId=${result.id}&subjectCode=${result.subjectCode}" target="_blank">轨迹图</a>
                <c:if test="${result.subjectiveStatus=='MARKED'}">
	                <a target="_blank" href="${ctx}/web/admin/exam/inspected/start?studentId=${result.id}&subjectCode=${result.subjectCode}">进入复核</a>
                </c:if>
                <c:if test="${result.subjectiveStatus=='INSPECTED'}">
                <a class="cancel-link" href="#" data-id="${result.id}">取消复核</a>
                </c:if>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
</form>
<div class="pagination">${query}</div>
<%@include file="/WEB-INF/views/include/trackView.jsp" %>
<script type="text/javascript">
    $(document).ready(function () {
        /* new jBox('Image', {
            imageFade: 0,
            delayOpen: 0,
            delayClose: 0,
            maxHeight: $(window).height()*0.88
        }); */
    	/* var s=localStorage.getItem("inspectQuery");
    	if(s!="" && s!=null && s!=undefined){
    		var inspectQuery = JSON.parse(s);
    		var pageN =1;
    		var pageS =20;
    		 for (var i = 0; i < inspectQuery.length; i++) {
    			var value = inspectQuery[i].value;
    			if(value!="" && value!=null && value!=undefined){
	    			var name = inspectQuery[i].name;
    				$('[name='+name+']').attr('value',value);
    				if(name=='pageNumber'){
    					pageN = value;
    				}
    				if(name=='pageSize'){
    					pageS = value;
    				}
    			} 
    		};
    		localStorage.setItem("inspectQuery","");
    		page(pageN, pageS);
    	} */
        $("#searchForm").validate();
        $('.cancel-link').click(function () {
            if (!confirm('确定要取消复核吗?')) {
                return;
            }
           // localStorage.setItem("inspectQuery", JSON.stringify($("#searchForm").serializeArray()));
            $.post('${ctx}/admin/exam/inspected/cancel', {studentId: $(this).attr('data-id')}, function (result) {
                if (result.success == true) {
                    alert('取消成功');
                    $('[name="subjectCode"]').attr('value',result.subjectCode);
                    $("#searchForm").submit();
                } else {
                    alert(result.message);
                }
            });
        });
        $('.track-link').click(function () {
            initTrackPopover($(this).attr('data-title'), $(this).attr('data-image-url'));
            return false;
        });
        $('#subject-select').change(function () {
            var code = $(this).val();
            $('#question-select').empty();
            if (code == '') {
                $('#question-select').val('').trigger('change');
                return;
            }
            $('#question-select').append('<option value="">不限</option>');
            $.post('${ctx}/admin/exam/paper/question/query', {subjectCode: code, status: 'FORMAL'}, function (result) {
                var parent = $('#question-select');
                var first = '';
                for (var i = 0; i < result.length; i++) {
                    var question = result[i];
                    $('<option value="' + question.mainNumber + '">' + question.mainNumber + '-' + question.mainTitle + '</option>').appendTo(parent);
                    if (i == 0) {
                        first = question.mainNumber;
                    }
                }
                parent.val(first).trigger('change');
            });
        });
        
        $("#btnImport").click(function () {
            $.jBox($("#importBox").html(), {
                title: "导入数据", buttons: {"关闭": true},
                bottomText: "导入文件不能超过1000行，仅允许导入“xls”或“xlsx”格式文件！"
            });
        });
    });

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").attr('target', "_self");
        $("#searchForm").attr('action', '${ctx}/admin/exam/inspected/list');
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#pageSize").val('${query.pageSize}');
        $("#searchForm").attr('target', "_self");
        $("#searchForm").attr('action', '${ctx}/admin/exam/inspected/list');
        $("#searchForm").submit();
        return false;
    }
    function goStart() {
    	var url = '${ctx}/web/admin/exam/inspected/start?';
    	var subjectCode =  $("#subject-select").val();
    	if(subjectCode==undefined || subjectCode==""){
    		 alert('请选择科目');
    		 return;
    	}
		url = url+'subjectCode='+subjectCode
    	var startScore =  $("#startScore").val();
    	if(startScore!=undefined && startScore!=""){
    		url = url+'&startScore='+startScore;
    	}
    	var endScore =  $("#endScore").val();
    	if(endScore!=undefined && endScore!=""){
    		url = url+'&endScore='+endScore;
    	}
    	var mainNumber =  $("#question-select").val();
    	if(mainNumber!=undefined && mainNumber!=""){
    		url = url+'&mainNumber='+mainNumber;
    	}
    	var mainStartScore =  $("#mainStartScore").val();
    	if(mainStartScore!=undefined && mainStartScore!=""){
    		url = url+'&mainStartScore='+mainStartScore;
    	}
    	var mainEndScore =  $("#mainEndScore").val();
    	if(mainEndScore!=undefined && mainEndScore!=""){
    		url = url+'&mainEndScore='+mainEndScore;
    	}
    	var questionScore =  $("#questionScore").val();
    	if(questionScore!=undefined && questionScore!=""){
    		url = url+'&questionScore='+questionScore;
    	}
    	var selectiveStatus =  $("#selectiveStatus").val();
    	if(selectiveStatus!=undefined && selectiveStatus!=""){
    		url = url+'&selectiveStatus='+selectiveStatus;
    	}
    	var secretNumber =  $("#secretNumber").val();
    	if(secretNumber!=undefined && secretNumber!=""){
    		url = url+'&secretNumber='+secretNumber;
    	}
    	window.open(url, '_blank');
        return false;
    }
    
    $("#ids").change(function () {
        if ($("#ids").is(':checked')) {
            $(".ids").attr("checked", true);
        } else {
        	$(".ids").attr("checked", false);
        }
    });
    
    $(".ids").change(function () {
    	var all = true;
    	$("input[name='ids']").each(function(){
    		if(!$(this).is(':checked')){
    			all = false;
    		}
    	})
		 $("#ids").attr("checked", all);
    });
    function goCancel() {
    	var check_list = []
    	$("input[name='ids']:checked").each(function(){
    		check_list.push($(this).val())
    	})
        if(check_list.length==0) {
            alert('请选择');
            return false;
        }
    	//localStorage.setItem("inspectQuery", JSON.stringify($("#searchForm").serializeArray()));
        $("#cancelForm").submit();
        return false;
    }
</script>
</body>
</html>